ServerControllerUnregisterServer Method |
DELETE /Server/
Unregister a server with the specified name.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage UnregisterServer(
string name,
Nullable<Guid> sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Index")>
Public Function UnregisterServer (
name As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ UnregisterServer(
String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Index")>]
member UnregisterServer :
name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- name
- Type: SystemString
The name of the server to be unregistered. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage if the server was found; otherwise,
.
See Also